
class FD3DVertex
{
public:
	enum {FVF=D3DFVF_XYZ | D3DFVF_DIFFUSE | D3DFVF_NORMAL | D3DFVF_TEX1};

	FD3DVertex()
	{}
	FD3DVertex( D3DXVECTOR3 InVtx, D3DXVECTOR3 InNormal, DWORD InColor, float InS, float InT )
		: X(InVtx.x), Y(InVtx.y), Z(InVtx.z), Nx(InNormal.x), Ny(InNormal.y), Nz(InNormal.z), Diffuse(InColor), S(InS), T(InT)
	{
	}

    float X, Y, Z;		// position
    float Nx, Ny, Nz;	// normal
    DWORD Diffuse;		// diffuse color
    float S, T;			// texture coordinates
};

